---
id: ci-application-build-create
title: Create a build for an application
description: Create a new build for an application with the provided details.
sidebar_label: Create a build for an application
hide_title: true
hide_table_of_contents: true
api: >-
  eJzlVktv4zYQ/ivCnLlW/EjX1i2bbYEUKFrsuujBMAyKGlvcSCRDUvEaAv/7YijFlp1240NuPek1j2+++WaoFgp0wkrjpVaQwb1F7jHhicJ9kjeyKpKttglXCTemkoKTXbKXvkx8iYmx+lkWWCQFei4rNwIGnu8cZCu4f0jvP8OagTZoo99DARkIuRmE2sQcmYhpgYHFpwad/6SLA2RtfJQWC8i8bZCB0Mqj8vRpECT95gh8C06UWHO68weDkIHOv6HwwMBYQuElugvfjSwG9lJ53KEFdkHLssTk4XOit7HqIRXEzr6Uoky8TsQLe7GqEQRCXNfSvw3pDIbzVqrdGyi6yDGJQVvzSqrH62IczQnzWagQLuzfCneXDJ5fkJ2qzy1XorwOVWebKF5jZHUYKTDA77w2Ff5b+6aT6Xi++DgeD+mmDzCffpzh7WQyzhe5ENvtYnb7yy3Ob3Oez/lsvBCL2ULMxxzOOITSe+OyNN1JXzb5SOg6rQ8bbXd0sWh02uVJr45/ySv8cTiTUY/7xBjUXCpy89JT1fCJqPjSjQc1KtCwOKOV6wQ0ubmhy3mW6NTLskhcIwQ6t22q6kCT+k7TdPUENUo+NUMJ9+0dNHc8mQYGznPfuOtk09m+jqiamraQQVV0rlJtjNU7i84Bgy2XFRbA4EQK7aojkKNjYO+5LrhzWsjYjeMSfc3CZDoLl62PPSduUDRW+gNkqxZy5BbtXeNLyFbrsGZQoy81Sd9oF1vF6RukMQmVi/YZrYveja0GYhdypJqqMhX3W21rUj1QxJeEX0kOXceHaY9kUBxKEM0g641I0vHmN21r7iGD3/9ZxoEmmX05rftf/6fzLdVWRxb7ZnfHJgPqUhdqPLoZ3cQ1r52veZxN2pLD4/q/jupLabanoX+Xs75rvcfvPjVVX1GUVdsrbwWd8tYMSlJktoK2zbnDv20VAr1+atCSmtcMnrmVPCcaVuvAoEReoI1SfcQDIe6wf1hSWjKvGkr/ankF9uJxJwQa/1Pb4dD89efXJTWp//2odUE+lu/p14TvIQOg/xnyjoMQ37VQcbVr+I5su5ikb34+HhfjEKvqP3F1GCBs285iqR9RhQCsL8XTM4R1COEH0NdM4A==
sidebar_class_name: post api-method
info_path: docs/api/ci-cd
custom_edit_url: null
canonical: 'https://docs.nullplatform.com/docs/api/ci-application-build-create'
---
<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Create a build for an application"}
>
</Heading>

<MethodEndpoint
  method={"post"}
  path={"/build"}
  context={"endpoint"}
>

</MethodEndpoint>

Create a new build for an application with the provided details.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={undefined}
>

</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"application_id":{"type":"integer","description":"The ID of the application for which to create a build."},"commit":{"type":"object","properties":{"id":{"type":"string","description":"The ID of the commit."},"permalink":{"type":"string","description":"The permalink to the commit."}}},"description":{"type":"string","description":"A description of the build."},"branch":{"type":"string","description":"The branch name for the build."}},"example":{"application_id":323189711,"commit":{"id":"8374e5221b9bccff94565e85bab8a419c949c81a","permalink":"https://github.com/my_org/my_repo/commit/8374e5221b9bccff94565e85bab8a419c949c81a"},"description":"My application commit","branch":"main"},"title":"BuildRequest"}}}}}
>

</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"Build created successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"integer","description":"The unique ID of the build.","example":123},"status":{"type":"string","description":"The status of the build.","enum":["pending","in_progress","failed","successful"],"example":"pending"},"application_id":{"type":"integer","description":"The ID of the application associated with the build.","example":234}},"title":"Build"}}}}}}
>

</StatusCodes>

